create table transfer (
    timestamp timestamp,
    protocol integer, 
    src_ip inet, 
    src_port integer, 
    src_card varchar(4),
    dst_ip inet, 
    dst_port integer, 
    dst_card varchar(4),
    packets bigint, 
    bytes bigint, 
    prefix varchar(5),
    processed boolean
) without oids;

create index transfer_timestamp on transfer(timestamp);
create index transfer_protocol on transfer(protocol);
create index transfer_src_ip on transfer(src_ip);
create index transfer_src_port on transfer(src_port);
create index transfer_src_card on transfer(src_card);
create index transfer_dst_ip on transfer(dst_ip);
create index transfer_dst_port on transfer(dst_port);
create index transfer_dst_card on transfer(dst_card);
create index transfer_prefix on transfer(prefix);
create index transfer_processed on transfer(processed);

create table summary (
    date date,
    card varchar(4),
    ip inet,
    incoming_allowed bigint,
    incoming_rejected bigint,
    outgoing_allowed bigint,
    outgoing_rejected bigint
) without oids;

create index summary_date on summary(date);
create index summary_card on summary(card);
create index summary_ip on summary(ip);
